BatchDeleteAdvancedPromptOptimizationJob
Deletes one or more advanced prompt optimization jobs.
Request Syntax
POST /advanced-prompt-optimization-job/batch-delete HTTP/1.1
Content-type: application/json
{
"jobIdentifiers": [ "string" ]
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- jobIdentifiers
-
A list of ARNs or IDs of the advanced prompt optimization jobs to delete.
Type: Array of strings
Array Members: Minimum number of 1 item. Maximum number of 25 items.
Length Constraints: Minimum length of 0. Maximum length of 1011.
Pattern:
((arn:aws(-[^:]+)?:bedrock:[a-z0-9-]{1,20}:[0-9]{12}:advanced-prompt-optimization-job/)?[a-z0-9]{12})Required: Yes
Response Syntax
HTTP/1.1 202
Content-type: application/json
{
"advancedPromptOptimizationJobs": [
{
"jobIdentifier": "string",
"jobStatus": "string"
}
],
"errors": [
{
"code": "string",
"jobIdentifier": "string",
"message": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 202 response.
The following data is returned in JSON format by the service.
- advancedPromptOptimizationJobs
-
A list of jobs that were successfully deleted.
Type: Array of BatchDeleteAdvancedPromptOptimizationJobItem objects
Array Members: Minimum number of 0 items. Maximum number of 25 items.
- errors
-
A list of errors for jobs that could not be deleted.
Type: Array of BatchDeleteAdvancedPromptOptimizationJobError objects
Array Members: Minimum number of 0 items. Maximum number of 25 items.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request is denied because of missing access permissions.
HTTP Status Code: 403
- InternalServerException
-
An internal server error occurred. Retry your request.
HTTP Status Code: 500
- ThrottlingException
-
The number of requests exceeds the limit. Resubmit your request later.
HTTP Status Code: 429
- ValidationException
-
Input validation failed. Check your request parameters and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: